//
//  FYANRealNameInfo.h
//  FYAntiAddictionDemo
//
//  Created by 吴垠锋 on 2019/12/9.
//  Copyright © 2019 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface FYANRealNameInfo : NSObject
/// 唯一ID，相同渠道相同用户相同游戏（appid）一致，由聚合网关生成
@property (nonatomic, copy) NSString *unionId;
/// 唯一ID，相同渠道相同用户的UnionId一致，聚合网关生成
@property (nonatomic, copy) NSString *openId;
/// 生日
@property (nonatomic, copy) NSString *identityBirthday;
/// 年龄
@property (nonatomic, copy) NSString *identityAge;
/// 调用场景，"1":在登录回调中调用，"2":在实名认证回调中调用，"0":其他地方调用
@property (nonatomic, copy) NSString *scene;

/// uuid
@property (nonatomic, copy) NSString *uuid DEPRECATED_MSG_ATTRIBUTE("2.0.0废弃, 请使用openId");
/// 实名
@property (nonatomic, copy) NSString *identityName DEPRECATED_MSG_ATTRIBUTE("2.2.0废弃");
/// 身份证
@property (nonatomic, copy) NSString *identityNo DEPRECATED_MSG_ATTRIBUTE("2.2.0废弃");

@end

NS_ASSUME_NONNULL_END
