//
//  FYCAlertContentView.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2020/6/1.
//  Copyright © 2020 feiyu. All rights reserved.
//

#import <UIKit/UIKit.h>
@class FYCAlertObject;

@interface FYCAlertContentView : UIView

@property (nonatomic, strong) UIView *contentView;

@property (nonatomic, strong) id param;

@property (nonatomic, weak) __kindof FYCAlertObject *object;

- (instancetype)initWithParam:(id)param;

- (instancetype)initWithObject:(__kindof FYCAlertObject *)object;

/// 创建视图
- (void)setupViews;

/// 绑定数据
- (void)bindData;

/// 定义 content size
- (CGSize)defineContentSize;

/// 更新 content view 约束
- (void)updateContentViewConstraints;


@end
