//
//  FYCAlertModel.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2022/1/28.
//  Copyright © 2022 feiyu. All rights reserved.
//

#import "FYCAlertProtocol.h"
#import <UIKit/UIKit.h>

@interface FYCAlertModel : NSObject
/// 父视图
@property (nonatomic, weak) id previousView;
/// 是否唯一，默认 YES，如果 NO 则需要自行管控 Alert
@property (nonatomic, assign) BOOL uniqueness;
/// 弹窗标识
@property (nonatomic, copy) NSString *alertKey;
/// 弹窗视图
@property (nonatomic, strong) UIView *alertView;
/// 值越小，优先级越高，默认1000
/// 如果优先级高于显示中的，将隐藏显示中的，显示最高优先级弹窗
@property (nonatomic, assign) NSInteger priority;
/// 是否自动显示alertView到 Window 上，默认 YES
@property (nonatomic, assign) BOOL autoShowInWindow;



@end


