//
//  FYCPayReportModel.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2022/9/5.
//  Copyright © 2022 feiyu. All rights reserved.
//

///
/// 10266弃用
/// 使用FYCLogService
///

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface FYCPayReportModel : NSObject
/// 项目标识，必传
@property (nonatomic, copy) NSString *project;
/// 事件标识，必传
@property (nonatomic, copy) NSString *event_id;
/// 埋点注释，非必传
@property (nonatomic, copy) NSString *desc;
/// 日志等级，必传
@property (nonatomic, copy) NSString *level;
/// 应用系统，必传
@property (nonatomic, copy) NSString *os;
/// 系统版本，必传
@property (nonatomic, copy) NSString *os_version;
/// 项目版本号，必传
@property (nonatomic, copy) NSString *project_version;
/// 启动 ID，必传
@property (nonatomic, copy) NSString *startup_id;
/// 事件时间，必传
@property (nonatomic, copy) NSString *time;
/// 设备 ID，必传
@property (nonatomic, copy) NSString *device_id;
/// 设备名称，必传
@property (nonatomic, copy) NSString *device_name;
/// 网络情况，无网络：0，wifi：1，其他：2，必传
@property (nonatomic, copy) NSString *network;
/// 应用ID，必传
@property (nonatomic, copy) NSString *app_id;
/// 渠道ID，必传
@property (nonatomic, copy) NSString *channel_id;
/// 扩展参数，非必传
@property (nonatomic, copy) NSString *extra;
/// 星云 Open ID，非必传
@property (nonatomic, copy) NSString *open_id;
/// 角色 ID，非必传
@property (nonatomic, copy) NSString *player_id;
/// 事件时间戳，精确至毫秒，必传
@property (nonatomic, copy) NSString *timestamp;
/// 上报序列，必传
@property (nonatomic, copy) NSString *seq;
/// 通行证代号，必传
@property (nonatomic, copy) NSString *passprot_code;
/// 支付代号，必传
@property (nonatomic, copy) NSString *pay_code;
/// 发行区域，必传
@property (nonatomic, copy) NSString *game_issued;

@end

NS_ASSUME_NONNULL_END
