//
//  FYCPollingQueueTask.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2021/3/8.
//  Copyright © 2021 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface FYCPollingQueueTask : NSObject
/// 任务ID
@property (nonatomic, copy) NSString *taskId;
/// 请求地址
@property (nonatomic, copy) NSString *url;
/// 请求参数
@property (nonatomic, copy) NSDictionary *params;


@end


@interface FYCPollingQueueModel : NSObject
/// 请求id
@property (nonatomic, copy) NSString *request_id;
/// 状态
@property (nonatomic, assign) NSInteger status;
/// 消息
@property (nonatomic, copy) NSString *message;

/// 当前任务重试次数
@property (nonatomic, assign) NSInteger retryTimes;
/// 当前任务时间间隔
@property (nonatomic, assign) NSInteger timeInterval;

@end
