//
//  FYCServerConfigManager.h
//  FYCoreDemo
//
//  Created by huangsy on 2019/1/16.
//  Copyright © 2019年 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface FYCServerConfigManager : NSObject

/// 服务器时间
@property (nonatomic, copy) NSString *serverTime;
/// md5(deviceId + appId + channelId + date)
@property (nonatomic, copy) NSString *startupId;
/// 是否需要上报日志
@property (nonatomic, assign) BOOL reportLogIfNeed;
/// 是否需要上报错误日志
@property (nonatomic, assign) BOOL reportErrorIfNeed;
/// 是否需要上报支付日志
@property (nonatomic, assign) BOOL reportPayLogIfNeed;


+ (instancetype)sharedInstance;

/**
 初始化
 */
- (void)doInit:(void(^)(void))completion;

@end
