//
//  UIView+FY.h
//  ThePainter
//
//  Created by huangsy on 15/11/4.
//  Copyright (c) 2015年 stars. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface UIView (FYC)

/// view 坐标
@property (nonatomic, assign) CGPoint frameOrigin;
/// view 大小
@property (nonatomic, assign) CGSize frameSize;

/// view X 坐标
@property (nonatomic, assign) CGFloat frameOriginX;
/// view Y 坐标
@property (nonatomic, assign) CGFloat frameOriginY;

/// view X 坐标
@property (nonatomic, assign) CGFloat frameCenterX;
/// view Y 坐标
@property (nonatomic, assign) CGFloat frameCenterY;

/// view 尾部 X 坐标
@property (nonatomic, assign) CGFloat frameEndX;
/// view 底部 Y 坐标
@property (nonatomic, assign) CGFloat frameEndY;

/// view 宽度
@property (nonatomic, assign) CGFloat frameWidth;
/// view 长度
@property (nonatomic, assign) CGFloat frameHeight;

/// view 长边
@property (nonatomic, assign, readonly) CGFloat frameLongSide;
/// view 短边
@property (nonatomic, assign, readonly) CGFloat frameShortSide;

/// view 对角线长度
@property (nonatomic, assign, readonly) CGFloat frameDiagonal;

@end
