//
//  WKWebView+FYC.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2020/3/11.
//  Copyright © 2020 feiyu. All rights reserved.
//

#import <WebKit/WebKit.h>
NS_ASSUME_NONNULL_BEGIN

@interface WKWebView (FYC)
/// 清除 WKWebView 缓存
- (void)cleanAllWKWebCache;
/// 清除 WKWebView 缓存
/// @param types 缓存类型，为nil时默认全部缓存
- (void)cleanWKWebCacheByTypes:(NSArray* _Nullable)types;
/// 删除竖直方向的滑动指示条
- (void)removeVerticalScrollIndicator;
/// 删除水平方向的滑动指示条
- (void)removeHorizontalScrollIndicator;

@end

NS_ASSUME_NONNULL_END
