//
//  FYDebugerInfo.h
//  FYDebugerDemo
//
//  Created by 吴垠锋 on 2018/11/20.
//  Copyright © 2018 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface FYDebugerInfo : NSObject
/// SDK 代号
@property (nonatomic, copy) NSString *sdk;
/// 模块
@property (nonatomic, copy) NSString *module;
/// 方法名
@property (nonatomic, copy) NSString *method;
/// 接口/回调参数
@property (nonatomic, copy) NSString *params;
/// 错误信息，非必传
@property (nonatomic, copy) NSString *message;
/// 状态，"success"、"fail"，如果是接口则根据接口调用状态传，如果是回调则统一传"success"    
@property (nonatomic, copy) NSString *status;
/// 直接传中文，接口的状态为"成功"、"失败" 2 种，回调的状态参考对接文档
@property (nonatomic, copy) NSString *statusText;


@end
