//
//  FYCombineResponse.h
//  FYCombineDemo
//
//  Created by 吴垠锋 on 2018/11/30.
//  Copyright © 2018 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <FYCore/FYCResponse.h>

typedef NS_ENUM(NSInteger, FYCombineResponseCode) {
    FYCombineResponseSuccess              = 0,    //成功
    FYCombineResponseFailure              = -1,   //失败
    FYCombineResponseNetError             = 8001, //网络异常
    FYCombineResponseAbnormalData         = 8002, //数据异常
    FYCombineResponseParamError           = 9001, //请求参数异常
    FYCombineResponseLoginFailure         = 10001,//登录失败
    FYCombineResponseLoginCancel          = 10002,//取消登录
    FYCombineResponseNoLogin              = 11001,//支付请先登录
    FYCombineResponseCreateOrderFailure   = 11002,//创建订单失败
    FYCombineResponsePayCancel            = 11003,//取消订单
    FYCombineResponsePayFailure           = 11004,//支付失败
    FYCombineResponsePayProcessing        = 11005,//支付处理中
    FYCombineResponseInitFailure          = 12001,//初始化失败
    FYCombineResponseNoRealName           = 13001,//实名未认证，游客状态
    FYCombineResponseRealNameCancel       = 13002,//实名认证取消
    FYCombineResponseBindFailure          = 14001,//绑定失败

};

@interface FYCombineResponse : FYCResponse

@end

