//
//  SDKUser.h
//  aisi-sdk-test
//
//  Created by 曹燃 on 15-1-21.
//  Copyright (c) 2015年 feiyu.com. All rights reserved.
//

#import <Foundation/Foundation.h>
@class FYCombineUserResponseEnvelop;

@interface FYCombineUser : NSObject

/// 抽象工程的uuid(全网唯一)
//@property (nonatomic, copy) NSString *uuid;
/// 验证码
@property (nonatomic, copy) NSString *token;
/// 平台信息
@property (nonatomic, copy) NSString *platform;

/// 第三方用户ID
@property (nonatomic, copy) NSString *userId;
/// 第三方账号名字
@property (nonatomic, copy) NSString *username;
/// 额外信息
@property (nonatomic, copy) NSString *extra;
/// 是否登录
@property (nonatomic, assign) BOOL isLogin;
/// 全渠道唯一ID
@property (nonatomic, copy) NSString *unionId;
/// 游戏维度唯一ID
@property (nonatomic, copy) NSString *openId;
/// 生日
@property (nonatomic, copy) NSString *birthday;
/// 年龄
@property (nonatomic, copy) NSString *age;
/// 游戏版本号
@property (nonatomic, copy) NSString *gameVersion;

/// 游戏角色ID，只有调用支付是才会记录更新，其他情况可能会为空值，慎用
@property (nonatomic, copy) NSString *playerId;

+ (instancetype)sharedInstance;

- (void)updateUserDetail:(FYCombineUserResponseEnvelop *)model;

@end
