//
//  FYSPNetworkDefine.h
//  FYSandboxPlatformDemo
//
//  Created by 周永桂 on 2020/11/9.
//  Copyright © 2020 feiyu. All rights reserved.
//

#ifndef FYSPNetworkDefine_h
#define FYSPNetworkDefine_h

typedef NS_ENUM(int, FYSPCallbackStatusType) {
    FYSPCallbackStatusInitFailure = 310101,          // 初始化失败
    FYSPCallbackStatusLoginFailure = 310201,         // 登录失败
    FYSPCallbackStatusLoginCancel = 310202,          // 登录取消
    FYSPCallbackStatusLogoutFailure = 310301,        // 退出失败
    FYSPCallbackStatusRealnameCancel = 310402,       // 实名取消
    FYSPCallbackStatusVisitorRealnameTime = 310403,  // 游客实名时间
    FYSPCallbackStatusPayFailure = 310404,           // 支付失败
    FYSPCallbackStatusPayCancel = 310405,            // 支付取消

};

typedef NS_ENUM(NSInteger, FYSPToolBandingType) {
    FYSPToolBandingPhone = 1,   // 绑定手机
    FYSPToolBandingWechat,      // 绑定微信
    FYSPToolBandingQQ,          // 绑定 QQ
    FYSPToolBandingFacebook,    // 绑定 Facebook
    FYSPToolBandingGoogle,      // 绑定 Google
    FYSPToolBandingApple,       // 绑定 Apple
    FYSPToolBandingTaptap,       // 绑定 Taptap
};



#endif /* FYSPNetworkDefine_h */
