//
//  FYSPlatformDeletage.h
//  FYSandboxPlatformDemo
//
//  Created by 周永桂 on 2020/11/10.
//  Copyright © 2020 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@protocol FYSPlatformDelegate <NSObject>
@optional
/// 初始化回调
- (void)initCallback:(FYSPCallbackInfo *)info;

/// 登录状态回调
- (void)loginCallback:(FYSPLoginCallbackInfo *)info;

/// 退出登录
- (void)logoutCallback:(FYSPCallbackInfo *)info;

/// 支付结果回调
- (void)payCallback:(FYSPCallbackInfo *)info;

/// 实名认证回调
- (void)realnameCallback:(FYSPRealnameCallbackInfo *)info;

/// 绑定回调
- (void)bandingCallback:(FYSPCallbackInfo *)info;


@end

NS_ASSUME_NONNULL_END
