//
//  FYPRStartInfo.h
//  FYPrivacyDemo
//
//  Created by 周永桂 on 2021/5/11.
//  Copyright © 2021 FY. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface FYPRStartInfo : NSObject
/// app id, 非必传
@property (nonatomic, copy) NSString *appId;
/// 渠道 id, 非必传
@property (nonatomic, copy) NSString *channelId;
/// app key, 非必传
@property (nonatomic, copy) NSString *appKey;
/// 各协议标题，按数组顺序显示，如果为空或不传，则使用默认标题; 参数格式如：["xx游戏许可用户协议","xx隐私条款","xx儿童个人信息保护规则"]
@property (nonatomic, copy) NSArray *protocolTitles;


@end
