## 下载地址

### iOS SDK 合集

- [点我下载-iOS SDK 合集](https://archives.737.com/nebula/mobile_nebula3.0/ios_release/nebula_ios_sdk.zip)
- 说明：该合集包含星云的所有iOS SDK资源

### iOS SDK 国内标准套餐

- [点我下载-iOS SDK 国内标准套餐](https://archives.737.com/nebula/mobile_nebula3.0/ios_release/nebula_ios_sdk_domestic_standard.zip)
- 说明：该合集只包含国内标准套餐所需的iOS SDK资源，详细说明请查看[
    国内标准套餐](https://help.737.com/archives/docs/guide/aggregation_domestic)

## 更新摘要

本次 3.3.54 版本，我们对「防沉迷SDK」、「隐私保护SDK」、「客服SDK」进行了更新。

## 更新说明

- 每一次更新 SDK，都需要替换最新的"FYBase"文件夹（如果一次更新多个SDK，只需要替换一次"FYBase"）

## 版本说明

### 聚合渠道SDK-iOS(OC)

- [聚合渠道SDK合规指南](https://help.737.com/archives/docs/compliance/channel_combine)

- [点此跳转到对接文档](https://help.737.com/archives/docs/detail/channel_combine/sdk/ios)

| 版本号| 更新日期 | 更新内容 | 更新方式 | 
| - | - | - | - | 
| 3.3.52 | 2024.03.15 | 1.新增渠道强更能力 | 1.替换"FYCombine"文件夹中的资源 |
| 3.3.50 | 2023.11.24 | 1.新增渠道强更能力 | 1.替换"FYCombine"文件夹中的资源 | 
| 3.3.49 | 2023.10.19 | 1.重构SDK内部日志上报 2.用户登出行为上报国家实名认证 | 1.替换"FYCombine"文件夹中的资源 | 
| 3.3.46 | 2023.07.25 | 1.新增游戏埋点上报"doDataPointReport"接口；2.母包通行证样式修改、增加TapTap绑定调试、增加实名认证管控； | 1.替换"FYCombine"文件夹中的资源 | 
| 3.3.42 | 2022.10.12 | 1.进行了技术优化；2.进行了问题修复；3.新增支付回调地址动态传递； | 1.替换"FYCombine"文件夹中的资源 | 
| 3.3.39 | 2022.03.30 | 1.优化回调信息；2.修复开发语言和版本号上报问题；3.母包区分国内外游戏；4.母包新增账号绑定调试工具 | 1.替换"FYCombine"文件夹中的资源 | 
| 3.3.30 | 2021.11.18 | 1.对接中心版本号上报；2.游戏自检上报| 1.替换"FYCombine"文件夹中的资源 | 

### 防沉迷SDK-iOS(OC)

- [防沉迷SDK合规指南](https://help.737.com/archives/docs/compliance/addiction)

- [点此跳转到对接文档](https://help.737.com/archives/docs/detail/addiction/sdk/ios)

| 版本号| 更新日期 | 更新内容 | 更新方式 | 
| - | - | - | - | 
| 3.3.54 | 2024.04.26 | 1.添加隐私清单 | 1.替换"FYAntiAddiction"文件夹中的资源 |
| 3.3.53 | 2024.03.21 | 1.修复已知问题 | 1.替换"FYAntiAddiction"文件夹中的资源 |
| 3.3.52 | 2024.03.15 | 1.增加适龄限制，增加未实名限制弹窗 | 1.替换"FYAntiAddiction"文件夹中的资源 |
| 3.3.49 | 2023.10.19 | 1.重构SDK内部日志上报 | 1.替换"FYAntiAddiction"文件夹中的资源 | 
| 3.3.46 | 2023.07.25 | 1.统一弹窗提示风格；2.主题颜色需跟随星云通行证变化 | 1.替换"FYAntiAddiction"文件夹中的资源 | 
| 3.3.42 | 2022.10.12 | 1.进行了技术优化；2.进行了问题修复；3.防沉迷提示语修改 | 1.替换"FYAntiAddiction"文件夹中的资源 | 
| 3.3.39 | 2022.03.30 | 1.优化回调信息；2.修复开发语言和版本号上报问题 | 1.替换"FYAntiAddiction"文件夹中的资源 | 
| 3.3.34 | 2021.12.30 | 1.增加"接收实名认证信息回调" | 1.替换"FYAntiAddiction"文件夹中的资源；2.对接代码需调整，请跳转对接文档查看"文档修订记录" | 
| 3.3.30 | 2021.11.18 | 1.对接中心版本号上报；2.游戏自检上报；3.计时器逻辑重构 | 1.替换"FYAntiAddiction"文件夹中的资源；2.对接代码需调整，请跳转对接文档查看"文档修订记录" | 

### 客服SDK-iOS(OC)

- [客服SDK合规指南](https://help.737.com/archives/docs/compliance/service)

- [点此跳转到对接文档](https://help.737.com/archives/docs/detail/service/service_sdk/ios)

| 版本号 | 更新日期 | 更新内容 | 更新方式 | 
| - | - | - | - |
| 3.3.54 | 2024.04.26 | 1.添加隐私清单 | 1.替换"FYService"文件夹中的资源 |
| 3.3.53 | 2024.03.21 | 1.联系客服增加图片授权上传弹窗 | 1.替换"FYService"文件夹中的资源；2.对接代码需调整，请跳转对接文档查看"文档修订记录" | 
| 3.3.50 | 2023.11.24 | 1.修复导航栏标题可能无法显示问题 | 1.替换"FYService"文件夹中的资源 | 
| 3.3.49 | 2023.10.19 | 1.重构SDK内部日志上报 | 1.替换"FYService"文件夹中的资源 | 
| 3.3.42 | 2022.10.12 | 1.进行了技术优化；2.进行了问题修复；3.样式优化 | 1.替换"FYService"文件夹中的资源 | 
| 3.3.39 | 2022.03.30 | 1.修复开发语言和版本号上报问题 | 1.替换"FYService"文件夹中的资源 | 
| 3.3.30 | 2021.11.18 | 1.对接中心版本号上报；2.游戏自检上报 | 1.替换"FYService"文件夹中的资源 | 


### 隐私保护SDK-iOS(OC)

- [隐私保护SDK合规指南](https://help.737.com/archives/docs/compliance/privacy)

- [点此跳转到对接文档](https://help.737.com/archives/docs/detail/privacy/sdk/ios)

| 版本号| 更新日期 | 更新内容 | 更新方式 | 
| - | - | - | - | 
| 3.3.54 | 2024.04.26 | 1.添加隐私清单 | 1.替换"FYPrivacy"文件夹中的资源 |
| 3.3.52 | 2024.03.15 | 1.官方品牌UI优化 |  1.替换"FYPrivacy"文件夹中的资源 | 
| 3.3.50 | 2023.11.24 | 1.修复导航栏标题可能无法显示问题 |  1.替换"FYPrivacy"文件夹中的资源 | 
| 3.3.49 | 2023.10.19 | 1.重构SDK内部日志上报；2.使用内嵌webview展示协议 |  1.替换"FYPrivacy"文件夹中的资源 | 
| 3.3.46 | 2023.07.25 | 1.主题颜色需跟随星云通行证变化 |  1.替换"FYPrivacy"文件夹中的资源 | 
| 3.3.39 | 2022.03.30 | 1.修复开发语言和版本号上报问题；2.新增支持单个游戏两套隐私协议独立维护 |  1.替换"FYPrivacy"文件夹中的资源 | 
| 3.3.30 | 2021.11.18 | 1.对接中心版本号上报；2.游戏自检上报 |  1.替换"FYPrivacy"文件夹中的资源 | 
