//
//  FYCAlertObject.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2022/1/27.
//  Copyright © 2022 feiyu. All rights reserved.
//

#import "FYCAlertModel.h"
#import "FYCAlertProtocol.h"

@interface FYCAlertObject : FYCAlertModel <FYCAlertProtocol, FYCAlertConfigProtocol>
/// 参数
@property (nonatomic, strong) id param;
/// 背景色
@property (nonatomic, strong) UIColor *backgroundColor;
/// view 显示
@property (nonatomic, copy) void(^didAppearInWindow)(void);
/// view 消失
@property (nonatomic, copy) void(^didDisappearFromWindow)(void);

/// 带参数，初始化
- (instancetype)initWithAlertParam:(id)param;
/// 创建视图，在 object 初始化
- (void)createAlertViewAndBindData:(id)param;
/// 创建视图，在 object 显示之前
- (void)createAlertViewBeforeShow;


@end








