//
//  FYCConfigRequestEnvelop.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2020/5/18.
//  Copyright © 2020 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface FYCConfigRequestEnvelop : NSObject
/// 游戏应用ID
@property (nonatomic, copy) NSString *app_id;
/// 渠道ID
@property (nonatomic, copy) NSString *channel_id;
/// 游戏版本
@property (nonatomic, copy) NSString *game_version;
/// 设备操作系统，0代表ios，1代表安卓，2代表H5
@property (nonatomic, copy) NSString *os;
/// SDK版本
@property (nonatomic, copy) NSString *sdk_version;
/// 时间戳
@property (nonatomic, copy) NSString *timestamp;
/// 签名值
@property (nonatomic, copy) NSString *sign;
/// 签名类型(md5,rsa)默认md5
@property (nonatomic, copy) NSString *sign_type;
/// 签名随机数
@property (nonatomic, copy) NSString *sign_nonce;
/// 签名版本,默认1.0
@property (nonatomic, copy) NSString *sign_version;

@end

NS_ASSUME_NONNULL_END
