//
//  FYCNetworkDefine.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2020/7/28.
//  Copyright © 2020 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSInteger, FYCNetworkRequestMethod) {
    FYCNetworkRequestPost,  // Post 请求
    FYCNetworkRequestGet,   // get 请求
};

typedef NS_ENUM(NSInteger, FYCNetworkErrorCode) {
    FYCNetworkErrorCodeSuccess          = 0,    // 成功
    FYCNetworkErrorCodeNoNet            = 1001, // 没有网络
    FYCNetworkErrorCodeParamError       = 1701, // 参数验证错误
    FYCNetworkErrorCodeUnknown          = 9999, // 未知

};

typedef void (^FYCNetworkRequestSuccess)(int code, NSString *message, id model);
typedef void (^FYCNetworkRequestFail)(NSError *error);

@interface FYCNetworkDefine : NSObject


@end


