//
//  FYCPointReportMaker.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2022/6/24.
//  Copyright © 2022 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface FYCPointReportMaker : NSObject

- (void)track;


/// 聚合UnionID
- (FYCPointReportMaker *(^)(NSString *value))unionId;
/// 游戏账号标识
- (FYCPointReportMaker *(^)(NSString *value))accountId;
/// 聚合OpenID
- (FYCPointReportMaker *(^)(NSString *value))openId;
/// 游戏角色标识
- (FYCPointReportMaker *(^)(NSString *value))playerId;


/// 事件标识
- (FYCPointReportMaker *(^)(NSString *value))eventId;
/// 事件名称
- (FYCPointReportMaker *(^)(NSString *value))eventName;
/// 游戏版本
- (FYCPointReportMaker *(^)(NSString *value))appVersion;
/// 服务器标识
- (FYCPointReportMaker *(^)(NSString *value))serverId;
/// 所在模块
- (FYCPointReportMaker *(^)(NSString *value))module;
/// 模块版本
- (FYCPointReportMaker *(^)(NSString *value))moduleVersion;
/// 渠道标识
- (FYCPointReportMaker *(^)(NSString *value))channelId;
/// 应用标识
- (FYCPointReportMaker *(^)(NSString *value))appId;


/// 事件专属属性
- (FYCPointReportMaker *(^)(NSString *value))properties;


@end
