//
//  FYMASCompositeConstraint.h
//  Masonry
//
//  Created by Jonas Budelmann on 21/07/13.
//  Copyright (c) 2013 cloudling. All rights reserved.
//

#import "FYMASConstraint.h"
#import "FYMASUtilities.h"

/**
 *	A group of FYMASConstraint objects
 */
@interface FYMASCompositeConstraint : FYMASConstraint

/**
 *	Creates a composite with a predefined array of children
 *
 *	@param	children	child FYMASConstraints
 *
 *	@return	a composite constraint
 */
- (id)initWithChildren:(NSArray *)children;

@end
