//
//  FYDRegistModuleInfo.h
//  FYDebugerDemo
//
//  Created by 周永桂 on 2021/2/23.
//  Copyright © 2021 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface FYDMethodInfo : NSObject
/// 函数名
@property (nonatomic, copy) NSString *method;
/// 中文解释
@property (nonatomic, copy) NSString *methodName;

@end


@interface FYDRegistModuleInfo : NSObject
/// 模块代号
@property (nonatomic, copy) NSString *module;
/// 模块名称
@property (nonatomic, copy) NSString *moduleName;
/// 模块版本号
@property (nonatomic, copy) NSString *version;
/// 接入语言，debuger 内部使用，外部勿传
@property (nonatomic, copy) NSString *language;
/// 方法列表
@property (nonatomic, copy) NSArray<FYDMethodInfo *> *methods;
/// 回调列表
@property (nonatomic, copy) NSArray<FYDMethodInfo *> *callbackMethods;

@end

