//
//  FYDebuggerLogInfo.h
//  FYDebugerDemo
//
//  Created by 吴垠锋 on 2019/1/29.
//  Copyright © 2019 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSInteger, FYDebugerLogMethodType) {
    FYDebugerLogMethodInvoke    = 0,    // 调用方法
    FYDebugerLogMethodCallback  = 1,    // 回调
    
};

@interface FYDebuggerLogInfo : NSObject
/// 模块代号
@property (nonatomic, copy) NSString *module;
/// 方法名
@property (nonatomic, copy) NSString *method;
/// 调试参数，非必传
@property (nonatomic, copy) NSString *params;
/// 调试信息，非必传
@property (nonatomic, copy) NSString *message;
/// 状态，直接传中文，接口的状态为"成功"、"失败" 2 种，回调的状态参考对接文档
@property (nonatomic, copy) NSString *status;
/// 调用时间，精确至秒，可不传内部会自动记录
@property (nonatomic, copy) NSString *time;

@end
