//
//  FYCOLogService.h
//  FYCombine
//
//  Created by huangsy on 2023/9/20.
//  Copyright © 2023 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <FYCore/FYCLogService.h>

NS_ASSUME_NONNULL_BEGIN

OBJC_EXTERN void FYCOLoger(void (^block)(FYCLogMaker *maker));

/// 调用
#define FYCOLoger_Call @"10001"
/// 回调
#define FYCOLoger_Callback @"10002"
/// 第三方登录业务
#define FYCOLoger_ThirdLogin @"10003"
/// 第三方支付业务
#define FYCOLoger_ThirdPay @"10004"
/// 登录业务
#define FYCOLoger_Login @"10005"
/// 支付业务
#define FYCOLoger_Pay @"10006"
/// 更新业务
#define FYCOLoger_Update @"10007"

@interface FYCOLogService : NSObject

@end

NS_ASSUME_NONNULL_END
