//
//  PayInfo.h
//  aisi-sdk-test
//
//  Created by 曹燃 on 15-1-21.
//  Copyright (c) 2015年 feiyu.com. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface FYCombinePayInfo : NSObject
/// 服务器ID
@property (nonatomic, copy) NSString *serverId;
/// vip等级
@property (nonatomic, copy) NSString *vipLevel;
/// 签名类型(游戏服务器接收回调通知签名方式，需要游戏传递:md5,rsa)
@property (nonatomic, copy) NSString *paySignType;
/// 角色ID
@property (nonatomic, copy) NSString *playerId;
/// 角色名
@property (nonatomic, copy) NSString *playerName;
/// 角色等级
@property (nonatomic, copy) NSString *playerLevel;
/// 商品ID
@property (nonatomic, copy) NSString *goodsId;
/// 商品名
@property (nonatomic, copy) NSString *goodsName;
/// 价格
@property (nonatomic, copy) NSString *payAmount;
/// 订单ID
@property (nonatomic, copy) NSString *gameOrderId;
/// 额外参数
@property (nonatomic, copy) NSString *notifyExt;
/// 回调地址
@property (nonatomic, copy) NSString *notifyURL;


@end
