//
//  FYPrivacy.h
//  FYPrivacyDemo
//
//  Created by 周永桂 on 2021/5/11.
//

#import <Foundation/Foundation.h>
#import <FYPrivacy/FYPRResponse.h>
#import <FYPrivacy/FYPRStartInfo.h>

/// 10236
/// 2023.04.19 黄思源
/// 按钮随星云通行证主题色
///
/// 3.3.46
/// 2023.07.25 黄思源
/// 对外发布
///
/// 10266
/// 2023.10.13 黄思源
/// 日志上报重构
///
/// 10272
/// 2023.10.13 黄思源
/// 打开内嵌webview不再跳出去浏览器
///
/// 3.3.49
/// 2023.10.18 黄思源
/// 对外发布
///
/// 10281
/// 2023.10.31 黄思源
/// Debuger上报修复
/// 修改导航栏样式设置，修复导航栏标题可能无法显示问题
///
/// 3.3.50
/// 2023.11.16 黄思源
/// 对外发布
///
/// 10289
/// 2024.01.23 黄思源
/// 官方渠道品牌及健康系统优化
///
/// 3.3.52
/// 2024.03.05 黄思源
/// 对外发布
///
/// 10316
/// 2024.04.12 黄思源
/// 添加隐私清单
///
/// 3.3.54
/// 2024.04.24 黄思源
/// 对外发布
#define FYPRVersion @"3.3.54"
#define FYPRInnerVersion @"10316"

extern NSString * const FYPRAuthCallback;       // 授权回调

@interface FYPrivacy : NSObject
/// 单例
+ (instancetype)sharedInstance;

/// 启动应用
- (void)start:(FYPRStartInfo *)info;

/// 查看协议
- (void)checkAuth;

- (NSString *)bridgeCallFunc:(NSString *)funcName infoJson:(NSString *)infoJson;


@end


